• English
  • Query Bank Account

    Request Path

    /api/v2/payment/merchant/payout/queryBankAccount

    Parameter List

    NameTypeLengthRequiredDescription
    bankCodeString100YesBank and MMO code Note: For PalmPay account query (BankCode "100033"), please use the Query PalmPay account interface
    bankAccNoString50YesBank and MMO account number

    Return Value

    NameTypeLengthRequiredDescription
    statusString20YesAccount name query status: "Success": return account name "Failed": return an error message
    accountNameString200NoFull name of the bank and mobile wallet account, returned when the status of the account name query is "Success"
    errorMessageString100NoError message, returned when the status of the account name query is "Failed"

    Error Code

    Error Codes

    Postman Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/payout/queryBankAccount' \
    --header 'CountryCode: NG' \
    --header 'Signature: DRKC0Jdb1hYEwHq98hyDRg83rNMqOR0Os1I/HozGBbsZRar4cU5CBQPzKFC4o1ERnDL0RS9heBlnKKAHlAqItyISeiKPPXWBeOzLP/iJsvRghjlDpSk5TbSlMGU5yn7AkepYiRtFxSgBnRZ/VabVEaYPm8JosGXlLG6YZGJ042EvU93rDxu8plhcdbk9VsD9KuqC4+xd8PysaR0nir+f9f1T8S+xyk6yC9moxM/bf6MfaffOPwmbML3MH6Vj8AUHgtrLWA4XTAGPF/xY+4LVJOK+PmuN8GVQo2HzsqwNsUkRHTBAh2+VtqEVhLFL7Za3LflqoyH5FYgMT1suKkEWbg==' \
    --header 'Authorization: Bearer L231127033553217011841' \
    --header 'Content-Type: application/json' \
    --data '{
      "requestTime":1658568813705,
      "version":"V1.1",
      "nonceStr":"rNsxYX3Rkkktqq5NG3kkllppwF8LGDvLugF",
      "bankCode":"100031",
      "bankAccNo":"895255265"
    }'

    response

    {
        "data": {
            "Status": "Success",
            "accountName": "Ajibade Oluwasegun"
        },
        "respMsg": "success",
        "respCode": "00000000"
    }